import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
table=pd.read_csv("planets.csv", delimiter=',',
skiprows=1, #éviter la 1e ligne de commentaire
skipfooter=1#retirer Pluton
)

distSoleil=table["distance_from_sun"]/149.5#(en UA)
nom=table["planet"].to_numpy()

#palette de couleurs  par planète :
couleurs=[
'tan', 
'orange', 
'peru', 
'chocolate', 
'olivedrab', 
'cornflowerblue',
'blue',
'lightsteelblue',
'navy'
]

#création d'une liste des initiales des planètes :
initiale=[]
for i in range(len(nom)):
    initiale.append(nom[i][0])

fig=plt.figure(figsize=(20, 2))
ax=plt.subplot()
plt.title("Distances au Soleil")
plt.xlabel("distance au Soleil (UA)")
ax.set_aspect('equal')
for n in range(len(nom)):
    plt.scatter(distSoleil[n], 0, c=couleurs[n])
    plt.text(distSoleil[n], 0.2, initiale[n], va='bottom', ha='center')

plt.xlim(0, max(distSoleil)*1.01)
plt.ylim(-1, 1)
plt.xticks(np.arange(0, max(distSoleil)+1, 1))
plt.yticks([])

fig.savefig("Distances.png", dpi=200)
plt.show()
